Bug 987049 - RFE: Add r-multicore and r-kernlab to Fedora and EPEL
RFE: Add r-multicore and r-kernlab to Fedora and EPEL
Status: NEW
Product: Fedora
Classification: Fedora
Component: R (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
Depends On:
Blocks: 967086
  Show dependency treegraph
Reported: 2013-07-22 11:26 EDT by Travis Gummels
Modified: 2017-02-22 11:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Travis Gummels 2013-07-22 11:26:48 EDT
Lawrence Livermore National Lab is requesting the addition of r-multicore and r-kernlab to Fedora and EPEL.

What is the nature and description of the request?

LLNL would like to have r-multicore and r-kernlab added to Fedora and EPEL for RHEL 6 and beyond.

r-multicore provides a way of running parallel computations in R on machines with multiple cores or CPUs. Jobs can share the entire initial workspace and it provides methods for results collection.

- http://cran.r-project.org/web/packages/multicore/index.html

r-kernlab : Kernel-based machine learning methods for classification, regression, clustering, novelty detection, quantile regression and dimensionality reduction. Among other methods kernlab includes Support Vector Machines, Spectral Clustering, Kernel PCA, Gaussian Processes and a QP solver.

- http://cran.r-project.org/web/packages/kernlab/index.html

Why does the customer need this? (List the business requirements here)

They are currently packaging it themselves for use on their HPC systems as well as at sibling labs on their HPC systems.

How would the customer like to achieve this? (List the functional requirements here)

Pull the code in to Fedora and EPEL.

For each functional requirement listed in question 4, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

LLNL can test.

List the affected packages

r-multicore and r-kernlab

Would the customer be able to assist in testing this functionality if implemented?

Comment 1 Bill Nottingham 2013-07-22 11:41:52 EDT
If they are willing to test it, are they willing to help maintain it?
Comment 2 Travis Gummels 2013-08-14 12:44:34 EDT
(In reply to Bill Nottingham from comment #1)
> If they are willing to test it, are they willing to help maintain it?

Can you expand on maintain please.  If it is put in EPEL LLNL is definitely going to use it, so may a number of other HPC related entities.  They'll point out when it has a bug and make a request for a re-base.
Comment 3 Bill Nottingham 2013-08-15 15:43:26 EDT
They asked for the code to be put in Fedora and EPEL. They do have the ability to do those things without Red Hat involvement, if they're willing to do maintenance.
Comment 4 Travis Gummels 2013-08-20 11:15:47 EDT
They do not have the capacity to maintain it in that sense.
Comment 7 Travis Gummels 2014-04-17 11:46:45 EDT

Curious if this RFE can be satisfied.  Feedback appreciated.

Thank you,

Comment 8 Dennis Gilmore 2014-04-17 11:59:33 EDT
either need to or someone else needs to step up and maintain the packages, deal with bugs, updates etc. this is not the typoe of thing Red Hat assigns an engineer to, its an open community and anyone including the requesters are free to do the work to maintain the software.

Until someone steps up to maintain the packages there is not really anything to be done.
Comment 9 Dennis Gilmore 2017-02-22 11:47:06 EST
reassigning to R as they may be able to find some people in the R SIG who would be interested in fulfilling this request

Note You need to log in before you can comment on or make changes to this bug.